% fig1p2.m
% Set up variables for 3d and 2d plots of phasors for AM, PM and FM.

% Put in the following lines to limit the plotting rate.
 global dtime; dtime=0.1;

if exist('printon') ~= 1, printon = 0; end

imax=40;
x = trreal(imax, 0);
pam=amgen(x, 0.9);
ppm=pmgen(x, 0.9*pi);
pfm=fmgen(x, 0.9*pi);
setfig(2)

% plot1p2.m
% Plot phasor for AM, PM and FM.
plot3d(x,pam,2,'2-D plot of AM phasor')
if ~printon, pause, end

plot3d(x,pam,3,'Fig 1.2: 3-D plot of AM phasor and input signal')
if printon,
  print -deps \1ngk\tex\e5mod\e5f1p2.eps
else
  pause
end
setfig(3)
plot3d(x,ppm,2,'2-D plot of PM phasor')
if ~printon, pause, end

plot3d(x,ppm,3,'Fig 1.3: 3-D plot of PM phasor and input signal')
if printon,
  print -deps \1ngk\tex\e5mod\e5f1p3.eps
else
  pause
end
setfig(4)
plot3d(x,pfm,2,'2-D plot of FM phasor')
if ~printon, pause, end

plot3d(x,pfm,3,'Fig 1.4: 3-D plot of FM phasor and input signal')
if printon,
  print -deps \1ngk\tex\e5mod\e5f1p4.eps
end

