% I5 fig4fsk.m
% Display CPFSK phasors.

global dtime
dtime = 0.1;

if exist('printon') ~= 1, printon = 0; end

imax = 40;
period = 5;
hi = ones(1,period);
lo = -hi;
xa = [hi lo lo lo hi hi lo hi];
% xa = [hi lo hi hi lo lo lo hi];
% xb = [hi hi hi hi lo lo lo lo];
% xc = [lo lo hi hi lo lo hi hi];
phi0 = 0.3*pi;

pfsk = fmgen(xa, 0.75 * pi);
setfig(6),clf,drawnow
plot3d(xa,pfsk,3,....
 'Continuous phase frequency shift keying (CPFSK) phasor waveform')


