function colour = defcol()
% function colour = defcol()
% Define colour to be a 4 element text matrix which specifies the colours
% to be used by plot().
% This allows the colours to be easily changed when the functions are run on
% the CUED HP system by editing just this file!
%
% Colours for MSDOS (black background):
% colour = ['r'; 'g'; 'b'; 'w'];
% colour = [1 0.3 0; 1 1 0; 0 0.4 1; 1 1 1];
%
% Colours for HP and Windows 7 (white background):
% colour = ['-r'; '-b'; '-g'; '-w'];
% Colours are: [red  blue  cyan  black]
colour = [1 0.3 0; 0 0 1; 0 0.8 0.8; 0 0 0];
return;
