function p = dsgen(x,phi0)
% function p = dsgen(x,phi0)
% Generate DSB-SC phasors from an input vector x with phase phi0.
imax = length(x);
if nargin < 2, phi0 = pi / 3; end
a = real(x);
p = a * exp(j * phi0);
