% fig1p6.m
% Plot phasor and signal spectra.

global dtime; dtime=0.1;

if exist('printon') ~= 1, printon = 0; end

imax = 8;
t = 1:imax;
ramp2 = [[1:imax]-1  [imax:-1:0]] * 3 / imax;
block = 2*ones(1,2*imax);

ai = 0.2;
P = [block+j*ai*block  ramp2-j*ai*ramp2];

figure; setfig(gcf);
spec3d(P, 3, 3, 'Fig 1.6: Phasor spectrum, P, and the corresponding signal spectrum, S.')

if printon,
  print -deps \1ngk\tex\e5mod\e5f1p6.eps
end
