% 3F4 Fig 4.6: Eye diagrams for 0.5R GMSK, 0.3R GMSK
% and 0.2R GMSK.

if exist('printon') ~= 1, printon = 0; end

setfig(7)
set(gcf,'DefaultTextFontSize',14);

subplot(1,3,1);
BW = 0.5;
pcolour = 'k';
eyegmsk;
text(0,1.6,'0.5R GMSK','horiz','c','color','k')

subplot(1,3,2);
BW = 0.3;
pcolour = 'r';
eyegmsk;
text(0,1.6,'0.3R GMSK','horiz','c','color','r')
xlabel('Fig 4.6: Eye diagrams for GMSK at the detector of an ideal MSK demodulator.');

subplot(1,3,3);
BW = 0.2;
pcolour = 'b';
eyegmsk;
text(0,1.6,'0.2R GMSK','horiz','c','color','b')

if printon, print -deps \1ngk\tex\3f4digmod\3f4f4p6.eps, end

return
