% figBPSK
% Display BPSK modulation constellation.

if exist('printon') ~= 1, printon = 0; end

global dtime
dtime = 0.1;

imax = 16;
xb = [-1 1];

setfig(1),clf,drawnow
% plot3de([xb 0], 2, 'QPSK components')
xc = [xb  0];
plot3de(xc, 2, 'BPSK phasor diagram.')
text(1,0,'1','vert','top','horiz','center');
text(-1,0,'-1','vert','top','horiz','center');
text(1,0,' 0 ','vert','bottom','horiz','left');
text(-1,0,' 1 ','vert','bottom','horiz','right');

if printon,
  print -deps \1ngk\tex\3F4digmod\i5fBPSK.eps
end
