% DEMOTEXT.M
% Program to develop special text function for sub/superscripts
% and symbols.

abc='abcdefghijklmnopqrstuvwxyz';
ABC=upper(abc);
num='0123456789!"$%^&*()-_=+[{]};:@#~\,<.>/?';

figure(1)
set(gcf,'position',[96    28   701   512]);
plot(1,1,'+');

h1=text(1,1,abc);
set(h1,'horiz','center','FontName','Times')
ext=get(h1,'Extent')
axis(axis)

hold on
plot(ext(1),ext(2),'+');
plot(ext(1)+ext(3),ext(2)+ext(4),'+');
hold off

h2=text(1,0.8,abc);
set(h2,'horiz','center','FontName','Symbol')

h3=text(1,1.4,num);
set(h3,'horiz','center','FontName','Times')

h4=text(1,1.2,num);
set(h4,'horiz','center','FontName','Symbol')

h5=text(1,0.6,ABC);
set(h5,'horiz','center','FontName','Times')

h6=text(1,0.4,ABC);
set(h6,'horiz','center','FontName','Symbol')

xlabel('x label')
h7=get(gca,'xlabel');
get(h7)