function y = trreal(period, offset)
% function y = trreal(period, offset)
% Computes a real triangular wave with phase offset.
ramp = [0:(period/4 - 1)] * 4 / period;
t = [ramp  1-ramp  -ramp  ramp-1];
t = [t t];
y = t((offset+1):(offset+period));
